﻿.news-box{
    width: 100%;
    display: block;
    background-color: #f5f5f5;
    min-height: calc(100vh - 80px);
    font-size: 0;
    margin-top: 80px;
}
.news-all-box{
    width: 900px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    box-sizing: border-box;
    padding: 50px 0;
}
.news-tag{
    width: 160px;
    display: inline-block;
    line-height: 50px;
    font-size: 16px;
    color: #555;
    letter-spacing: 1px;
    text-align: center;
    background-color: #fff;
    margin-left: 25px;
    transition: all .3s linear;
}
.news-tag:nth-child(5n + 1){
    margin-left: 0;
}
.news-tag:nth-child(n + 6){
    margin-top: 25px;
}
.news-title{
    font-size: 18px;
    font-weight: bold;
    color: #000;
    letter-spacing: 1px;
    text-align: center;
    margin-top: 50px;
    margin-bottom: 30px;
}

.news-info{
    width: 100%;
    background-color: #fff;
    margin-bottom: 25px;
    box-sizing: border-box;
    padding: 25px 20px;
    display: block;
    transition: all .3s linear;
}
.news-info:last-child{
    margin-bottom: 0;
}
.news-info-data{
    font-size: 16px;
    font-weight: 300;
    color: #555;
    font-family: "Roboto";
    letter-spacing: 1px;
    display: inline-block;
    vertical-align: middle;
}
.news-info-tag{
    font-size: 14px;
    color: #555;
    letter-spacing: 1px;
    text-align: center;
    width: 100px;
    line-height: 30px;
    display: inline-block;
    vertical-align: middle;
    background-color: #eee;
    margin: 0 25px;
}
.news-info-text-box{
    width: calc(100% - 300px);
    display: inline-block;
    vertical-align: middle;
}
.news-info-text-name{
    font-size: 16px;
    color: #555;
    letter-spacing: 1px;
    font-weight: bold;
    display: block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    margin-bottom: 3px;
}
.news-info-text{
    font-size: 14px;
    color: #555;
    letter-spacing: 1px;
    font-weight: lighter;
    display: block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.news-info-look{
    font-size: 14px;
    color: #555;
    font-family: "Roboto";
    letter-spacing: 1px;
    display: inline-block;
    vertical-align: middle;
}
.news-info-look i{
    margin-right: 5px;
}



@media only screen and (max-width: 1000px){
    .news-box{
        margin-top: 69px;
    }
}
@media only screen and (max-width: 900px){
    .news-all-box{
        width: 750px;
    }
    .rwd-news-tag-box{
        width: 100%;
        height: 46px;
        box-shadow: 0 0 3px rgba(0,0,0,.3);
        font-size: 16px;
        letter-spacing: 1px;
        text-align: center;
        display: block;
        line-height: 46px;
        position: relative;
        box-sizing: border-box;
        background-color: #fff;
    }
    .rwd-news-tag-box:after {
        content: '';
        width: 0px;
        height: 0px;
        margin: 0 auto;
        border-right: 10px solid transparent;
        border-top: 10px solid #000;
        border-left: 10px solid transparent;
        display: block;
        position: absolute;
        bottom: calc(50% - 5px);
        right: 15px;
        box-sizing: border-box;
    }
    .news-tag-box{
        position: absolute;
        width: 100%;
        box-shadow: 0 0 3px rgba(0,0,0,.3);
        box-sizing: border-box;
        padding: 5px 0;
        background-color: #fff;
    }
    .news-tag{
        width: 100%;
        display: block;
        margin-left: 0;
        line-height: 46px;
    }
    .news-tag:nth-child(n + 6){
        margin-top: 0;
    }
    .news-tag:hover,
    .news-tag.active{
        box-shadow: none;
        background-color: #ddd;
    }
    .news-title{
        display: none;
    }
    .news-info-box{
        margin-top: 30px;
    }
}
@media only screen and (max-width: 750px){
    .news-all-box{
        width: 550px;
    }
    .news-title{
        margin-top: 40px;
        margin-bottom: 20px;
    }
    .news-info-tag{
        margin: 0 15px;
    }
    .news-info-text-box{
        width: calc(100% - 280px);
    }
    .news-info{
        padding: 20px 15px;
    }
}
@media only screen and (max-width: 550px){
    .news-box{
        margin-top: 59px;
    }
    .news-all-box{
        width: 400px;
        padding: 25px 0; 
    }
    .news-title{
        font-size: 16px;
        margin-top: 20px;
        margin-bottom: 10px;
    }
    .rwd-news-tag-box{
        line-height: 36px;
        height: 36px;
        font-size: 14px;
    }
    .news-tag{
        line-height: 32px;
        font-size: 14px;
    }
    .news-info{
        padding: 15px 10px;
    }
    .news-info-data{
        font-size: 14px;
    }
    .news-info-tag{
        width: 80px;
        margin: 0 10px;
        font-size: 12px;
        line-height: 26px;
    }
    .news-info-text-box{
        width: calc(100% - 233px);
    }
    .news-info-text-name{
        font-size: 14px;
    }
    .news-info-text{
        font-size: 12px;
    }
    .news-info-look{
        font-size: 12px;
    }
    .news-box{
        margin-top: 59px;
    }
}
@media only screen and (max-width: 400px){
    .news-all-box{
        width: 300px;
    }
    .news-info-text-box{
        width: calc(100% - 54px);
        margin-top: 10px;
        vertical-align: bottom;
    }
    .news-info{
        padding: 10px;
    }
}





/*-------------hover------------*/
.news-tag.active,
.news-tag:hover{
    font-weight: bold;
    box-shadow: 0 0 5px rgba(0,0,0,0.35);
}
.news-info:hover{
    box-shadow: 0 0 8px rgba(0,0,0,0.35);
}


/*animation*/
/*<-------------動畫------------->*/


@media only screen and (min-width: 1001px){
    .news-tag,
    .news-title,
    .news-info{
        opacity: 0;
    }
    .news-tag.anima,
    .news-info.anima{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .news-title.anima{
        animation: fade 1s ease 0s 1 both;
    }
}